Bug 90643

Summary: [jhbuild] gnutls 2.12.14 does not build with glibc 2.16.0
Product: WebKit Reporter: Raphael Kubo da Costa (:rakuco) <rakuco>
Component: Tools / TestsAssignee: Raphael Kubo da Costa (:rakuco) <rakuco>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, d-r, dw.im, gns, mrobinson, philn, pnormand, sw0524.lee, tmpsantos, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Update gnutls to 3.0.21
none
Depend on nettle to hopefully build on the bots
none
Do not remove libgcrypt from EFL's jhbuild.modules
none
Same patch to check if GMP is now present on the GTK bots
none
Try nettle 2.4 to see if it works on Philippe's bot
none
New approach, just remove gnutls from jhbuild.modules none

Description Raphael Kubo da Costa (:rakuco) 2012-07-05 16:29:15 PDT
I figured it'd be better to discuss this in a bug report than coordinating with the lists for the EFL and GTK+ ports at the same time.

glibc seems to have recently deprecated the gets() call following the C11 standard. gnutls ships with a bundled Gnulib, and the version shipped with the 2.x series fails to build after this change in glibc. The problem was fixed in Gnulib in <http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commit;h=66712c23388e93e5c518ebc8515140fa0c807348>, which is present on gnutls 3.0.21, for example.

I don't know what's currently holding us at gnutls 2.x, so I'd like some input from you guys as to how to proceed here.
Comment 1 Raphael Kubo da Costa (:rakuco) 2012-07-08 20:23:14 PDT
Created attachment 151174 [details]
Update gnutls to 3.0.21
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-07-08 20:24:13 PDT
(In reply to comment #1)
> Created an attachment (id=151174) [details]
> Update gnutls to 3.0.21

I briefly talked about this issue with mrobinson on IRC a few days ago, but we did not decide whether it made sense to stop building gnutls with jhbuild or not. For now, this patch just updates the gnutls version we build.
Comment 3 Gustavo Noronha (kov) 2012-07-08 20:42:51 PDT
Comment on attachment 151174 [details]
Update gnutls to 3.0.21

Attachment 151174 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/13164128
Comment 4 Gyuyoung Kim 2012-07-10 06:08:49 PDT
Comment on attachment 151174 [details]
Update gnutls to 3.0.21

Attachment 151174 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/13045090
Comment 5 Raphael Kubo da Costa (:rakuco) 2012-07-24 11:05:43 PDT
Created attachment 154107 [details]
Depend on nettle to hopefully build on the bots
Comment 6 Gyuyoung Kim 2012-07-24 12:45:22 PDT
Comment on attachment 154107 [details]
Depend on nettle to hopefully build on the bots

Attachment 154107 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/13323713
Comment 7 Raphael Kubo da Costa (:rakuco) 2012-07-24 13:02:29 PDT
Created attachment 154125 [details]
Do not remove libgcrypt from EFL's jhbuild.modules
Comment 8 Raphael Kubo da Costa (:rakuco) 2012-07-24 16:06:29 PDT
It currently seems to fail only on Philippe's bot when building nettle:

  checking for __gmpz_getlimbn in -lgmp... no
  configure: WARNING: GNU MP not found, or not 3.1 or up, see http://gmplib.org/.
  Support for public key algorithms will be unavailable.
  checking for __gmpz_powm_sec... no

Philippe, could you check if GMP is installed there? I'd rather not include it in in jhbuild.modules.
Comment 9 Philippe Normand 2012-07-25 05:41:23 PDT
I installed libgmp-dev on my EWS. I'll check the Igalia bots too.
Comment 10 Raphael Kubo da Costa (:rakuco) 2012-07-25 06:12:08 PDT
Created attachment 154335 [details]
Same patch to check if GMP is now present on the GTK bots
Comment 11 Raphael Kubo da Costa (:rakuco) 2012-07-25 08:17:23 PDT
Created attachment 154359 [details]
Try nettle 2.4 to see if it works on Philippe's bot
Comment 12 Gustavo Noronha (kov) 2012-07-25 21:03:20 PDT
Comment on attachment 154359 [details]
Try nettle 2.4 to see if it works on Philippe's bot

Attachment 154359 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/13348475
Comment 13 Raphael Kubo da Costa (:rakuco) 2012-07-26 05:52:57 PDT
(In reply to comment #12)
> (From update of attachment 154359 [details])
> Attachment 154359 [details] did not pass gtk-ews (gtk):
> Output: http://queues.webkit.org/results/13348475

kov, can you install libgmp-dev on the bot as well?
Comment 14 Raphael Kubo da Costa (:rakuco) 2012-07-30 09:52:33 PDT
Created attachment 155306 [details]
New approach, just remove gnutls from jhbuild.modules
Comment 15 Raphael Kubo da Costa (:rakuco) 2012-07-30 09:53:35 PDT
(In reply to comment #14)
> Created an attachment (id=155306) [details]
> New approach, just remove gnutls from jhbuild.modules

As we just discussed on IRC, it looks like these days it is safe to just depend on the gnutls version installed on the system. On Ubuntu systems this would require at least Precise Pangolin.
Comment 16 Gustavo Noronha (kov) 2012-07-30 10:39:37 PDT
Comment on attachment 155306 [details]
New approach, just remove gnutls from jhbuild.modules

Thanks!
Comment 17 WebKit Review Bot 2012-07-30 14:35:26 PDT
Comment on attachment 155306 [details]
New approach, just remove gnutls from jhbuild.modules

Clearing flags on attachment: 155306

Committed r124094: <http://trac.webkit.org/changeset/124094>
Comment 18 WebKit Review Bot 2012-07-30 14:35:32 PDT
All reviewed patches have been landed.  Closing bug.
Comment 19 Thiago Marcos P. Santos 2012-07-30 23:42:48 PDT
For the record, I added libgnutls-dev to the list of system deps at EFLWebKit wiki.